### Method

# Gtk.TreeSelection.select_range

#### Declaration [src]

    void
    gtk_tree_selection_select_range (
      GtkTreeSelection* selection,
      GtkTreePath* start_path,
      GtkTreePath* end_path
    )

#### Description [src]

Selects a range of nodes, determined by `start_path` and `end_path` inclusive. `selection` must be set to #GTK_SELECTION_MULTIPLE mode.

#### Parameters

`start_path` | `GtkTreePath`
| The initial node of the range.
| Ownership is not transferred to the callee
`end_path` | `GtkTreePath`
| The final node of the range.
| Ownership is not transferred to the callee